Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6901 - Stupid user can cause installer to crash
Summary: Stupid user can cause installer to crash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-10 23:24 UTC by Pekka Pietikäinen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-22 15:46:42 UTC


Attachments (Terms of Use)

Description Pekka Pietikäinen 1999-11-10 23:24:13 UTC
I attempted to do a 6.0 -> 6.1 upgrade today on
a dual-booting NT4/Linux box.

First I got hit by the NTFS-misdetection bug
(fixed by updated images)

Unfortunately I had at some point started converting
/dev/hda2 to ext2 from NTFS, but hadn't actually mke2fs'd it
yet, just switched the partition type to Linux.
The installer, in its infinite wisdom, decided to crash when
attempting to figure out if it was the right partition.
It'd definately be better if the user was asked for the root
partition if the first guess fails.

Then, finally it started working. Except I only had 9MB
free on /usr (127M needed). Pressed OK. "anaconda has
received SIGSEGV". Maybe it should
return the user to package selection and/or tell him to
make some space by using the shell prompt?

After making some space on /usr it finally upgraded and
has worked fine afterwards ;)

Comment 1 Jay Turner 1999-11-29 20:43:59 UTC
This issue has been assigned to a developer for further action.

Comment 2 Jay Turner 2000-02-22 15:46:59 UTC
Issues have been resolved in the latest cut of the installer (available in beta)


Note You need to log in before you can comment on or make changes to this bug.